"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Client = void 0;
Object.defineProperty(exports, "MediaStream", {
  enumerable: true,
  get: function () {
    return _reactNativeWebrtc.MediaStream;
  }
});
Object.defineProperty(exports, "MediaStreamTrack", {
  enumerable: true,
  get: function () {
    return _reactNativeWebrtc.MediaStreamTrack;
  }
});
Object.defineProperty(exports, "RTCIceCandidate", {
  enumerable: true,
  get: function () {
    return _reactNativeWebrtc.RTCIceCandidate;
  }
});
Object.defineProperty(exports, "RTCPeerConnection", {
  enumerable: true,
  get: function () {
    return _reactNativeWebrtc.RTCPeerConnection;
  }
});
Object.defineProperty(exports, "RTCSessionDescription", {
  enumerable: true,
  get: function () {
    return _reactNativeWebrtc.RTCSessionDescription;
  }
});
Object.defineProperty(exports, "RTCView", {
  enumerable: true,
  get: function () {
    return _reactNativeWebrtc.RTCView;
  }
});
exports.add = add;
exports.multiply = multiply;
exports.obtainStream = obtainStream;
Object.defineProperty(exports, "registerGlobals", {
  enumerable: true,
  get: function () {
    return _reactNativeWebrtc.registerGlobals;
  }
});
exports.sayby = sayby;
exports.sayname = sayname;

var _reactNative = require("react-native");

var _events = require("events");

var _reactNativeWebrtc = require("react-native-webrtc");

const LINKING_ERROR = `The package 'react-native-nativeappmodule' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const Nativeappmodule = _reactNative.NativeModules.Nativeappmodule ? _reactNative.NativeModules.Nativeappmodule : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
const Hammad = _reactNative.NativeModules.Hammad ? _reactNative.NativeModules.Hammad : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});

function multiply(a, b) {
  return Nativeappmodule.multiply(a, b);
}

function add(a, b) {
  return Nativeappmodule.add(a, b);
}

function sayname(name) {
  return Nativeappmodule.sayname(name);
}

function sayby(name, location, id, callBack) {
  return Hammad.createCalendarEvent(name, location, id, callBack);
}

async function obtainStream() {
  let a = await _reactNativeWebrtc.mediaDevices.getUserMedia({
    audio: true,
    video: {
      width: 640,
      height: 480,
      frameRate: 30,
      facingMode: true ? "user" : "environment"
    }
  });
  return a;
} // function obtainStream(): Promise<number> {
//   let a= await mediaDevices.getUserMedia({
//     audio: true,
//     video: {
//       width: 640,
//       height: 480,
//       frameRate: 30,
//       facingMode: (true ? "user" : "environment"),
//     }
//   })
// }


class Client extends _events.EventEmitter {
  constructor(_Credentials) {
    super();

    if (_Credentials.host) {
      this.Connect(_Credentials.host);
    } //window.addEventListener('offline', this.onOffline);

  }

  Connect(mediaServer) {
    console.log('in sdk connect->', mediaServer);
    console.log('this', this);
    setTimeout(() => {
      this.emit("register", {
        type: "REGISTER_ACCEPTED",
        message: "User is registered successfully",
        mediaServer: mediaServer
      });
    }, 2000);
  }

}

exports.Client = Client;
//# sourceMappingURL=index.js.map